Subject: Re: Relay control in SIEVE ???

From: "Guðbjörn S. Hreinsson" <[email-masked]>
Date: Sat, 1 Nov 2003 09:12:55 -0000

> But I'm curious about what other MTA filtering you are
> thinking of.  

When you need to service MTA's like sendmail, postfix, exchange, 
lotus notes, acme mta etc. you need to find out or know the specifics 
for that MTA. I can not count the times when a customers tells me 
that a technician has "fixed" the open relay they had, when they in 
fact haven't done so yet. Only to find the techie reach for the manuals 
again.... 

> sieve (and sieve-like equivalents) can be used for
> filtering things other than final delivery.  For example, we use
> sieve filtering here for damping bounces resulting from bad
> target addresses.  

Hmmm, I'd be interested in how you do that? Is that something 
you can share?

Rgds,
-GSH

---

From: "Guðbjörn S. Hreinsson" <[email-masked]>
Date: Sat, 1 Nov 2003 09:08:41 -0000

> Please compare what you have written here with the subject of this thread.
I was pointing out that SIEVE is used and can be successfully used for 
MTA control. Even if I didn't specifically say "relay control" it may apply. 

> Specifying filters that are applicable to more than one user, or applicable
> to all users, is one thing. Specifying filters that control MTA behavior,
> especially behavior as it pertains to detecting and controlling unauthorized
> relay attempts, is quite another.
Filters (SIEVE or not) that control MTA behaviour, including relay control 
are applicable for all users. I can specify filters for attachments of a specific 
user, domain or all users, at the MTA level. But I'm being picky...

> The conflation of sieve with final delivery offers no real impediment to
> performing system level actions.

I think SIEVE or extended SIEVE or a MTA specific filtering language 
derived from SIEVE or not would be a good thing. It may be a pipe dream 
but I think the potential for reducing MTA complexity is there.

Rgds,
-GSH

---

From: "Mark E. Mallett" <[email-masked]>
Date: Mon, 3 Nov 2003 14:06:52 -0500

> Hmmm, I'd be interested in how you do that? Is that something 

We're running qmail, which by default accepts and queues all mail and
then delivers it out of the queue.  (There's a lot of argument about
that behaviour, so probably no need to follow that tangent here.)

When delivery is attempted to a nonexistent user, the default action
is to bounce the message.  It's easy enough to put a delivery filter
on at that point.  We simply apply a sieve (-like) application at
that point, and discard everything that passes a spam test.  Anything
not discarded is bounced.  It's not absolutely perfect but it's
better than the default and significantly reduces our bounce churn.

mm